Zydis: ZydisInstructionDefinitionLEGACY_ Struct Reference

Zydis v4.1.0

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
ZydisInstructionDefinitionLEGACY_ Struct Reference

Defines the `ZydisInstructionDefinitionLEGACY` struct. More...

`#include <SharedData.h>`

## Public Member Functions
ZyanBool is_privileged | ZYAN_BITFIELD (1)
ZyanBool accepts_LOCK | ZYAN_BITFIELD (1)
ZyanBool accepts_REP | ZYAN_BITFIELD (1)
ZyanBool accepts_REPEREPZ | ZYAN_BITFIELD (1)
ZyanBool accepts_REPNEREPNZ | ZYAN_BITFIELD (1)
ZyanBool accepts_BOUND | ZYAN_BITFIELD (1)
ZyanBool accepts_XACQUIRE | ZYAN_BITFIELD (1)
ZyanBool accepts_XRELEASE | ZYAN_BITFIELD (1)
ZyanBool accepts_NOTRACK | ZYAN_BITFIELD (1)
ZyanBool accepts_hle_without_lock | ZYAN_BITFIELD (1)
ZyanBool accepts_branch_hints | ZYAN_BITFIELD (1)

## Data Fields
| ZYDIS_INSTRUCTION_DEFINITION_BASE

## Detailed Description

Defines the `ZydisInstructionDefinitionLEGACY` struct.

## Member Function Documentation

## ◆ ZYAN_BITFIELD() [1/11]

ZyanBool is_privileged ZYAN_BITFIELD | ( | 1 |  | ) |

## ◆ ZYAN_BITFIELD() [2/11]

ZyanBool accepts_LOCK ZYAN_BITFIELD | ( | 1 |  | ) |

## ◆ ZYAN_BITFIELD() [3/11]

ZyanBool accepts_REP ZYAN_BITFIELD | ( | 1 |  | ) |

## ◆ ZYAN_BITFIELD() [4/11]

ZyanBool accepts_REPEREPZ ZYAN_BITFIELD | ( | 1 |  | ) |

## ◆ ZYAN_BITFIELD() [5/11]

ZyanBool accepts_REPNEREPNZ ZYAN_BITFIELD | ( | 1 |  | ) |

## ◆ ZYAN_BITFIELD() [6/11]

ZyanBool accepts_BOUND ZYAN_BITFIELD | ( | 1 |  | ) |

## ◆ ZYAN_BITFIELD() [7/11]

ZyanBool accepts_XACQUIRE ZYAN_BITFIELD | ( | 1 |  | ) |

## ◆ ZYAN_BITFIELD() [8/11]

ZyanBool accepts_XRELEASE ZYAN_BITFIELD | ( | 1 |  | ) |

## ◆ ZYAN_BITFIELD() [9/11]

ZyanBool accepts_NOTRACK ZYAN_BITFIELD | ( | 1 |  | ) |

## ◆ ZYAN_BITFIELD() [10/11]

ZyanBool accepts_hle_without_lock ZYAN_BITFIELD | ( | 1 |  | ) |

## ◆ ZYAN_BITFIELD() [11/11]

ZyanBool accepts_branch_hints ZYAN_BITFIELD | ( | 1 |  | ) |

## Field Documentation

## ◆ ZYDIS_INSTRUCTION_DEFINITION_BASE

ZYDIS_INSTRUCTION_DEFINITION_BASE

The documentation for this struct was generated from the following file:

- include/Zydis/Internal/SharedData.h